First update mingw-w64 packages for 8.4
ClosedPublic

Authored by Phyx on Mar 26 2017, 2:41 PM.

Details

Summary

Updating to get latest binutils etc.

Test Plan

./validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Phyx created this revision.Mar 26 2017, 2:41 PM
Phyx updated the Trac tickets for this revision.
Phyx updated this revision to Diff 11877.Mar 26 2017, 5:19 PM

Correct patch

bgamari accepted this revision.Mar 29 2017, 4:16 PM

Sounds good to me.

This revision is now accepted and ready to land.Mar 29 2017, 4:16 PM
Phyx updated this revision to Diff 12092.Apr 12 2017, 1:32 AM
  • rebase
Phyx added a comment.Apr 12 2017, 6:05 AM

@bgamari have you mirrored the packages? or should I just land it pointing to the msys2 repo?

I have been thinking of implementing a tiered system, where it'll try haskell.org first but if the package isn't found then try msys2 repo.
So updating these are a bit simpler.

In D3382#98588, @Phyx wrote:

@bgamari have you mirrored the packages? or should I just land it pointing to the msys2 repo?

I just did so.

I have been thinking of implementing a tiered system, where it'll try haskell.org first but if the package isn't found then try msys2 repo.
So updating these are a bit simpler.

Note that I have a script for performing the mirroring. It seems to work reasonably well, but suggestions are always welcome. Perhaps we should fold it into the ghc repo?

Phyx added a comment.Apr 23 2017, 5:17 AM
In D3382#98588, @Phyx wrote:

@bgamari have you mirrored the packages? or should I just land it pointing to the msys2 repo?

I just did so.

Thanks!

I have been thinking of implementing a tiered system, where it'll try haskell.org first but if the package isn't found then try msys2 repo.
So updating these are a bit simpler.

Note that I have a script for performing the mirroring. It seems to work reasonably well, but suggestions are always welcome. Perhaps we should fold it into the ghc repo?

I think so. I'll merge them.

Phyx updated this revision to Diff 12221.Apr 23 2017, 5:24 AM
  • switch mirror
This revision was automatically updated to reflect the committed changes.